/*
 * Internal module API header file.
 *
 * Generated by SIP 6.10.0
 *
 * Copyright (c) 2024 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt5.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtRemoteObjectsAPI_H
#define _QtRemoteObjectsAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_CONSTEXPR
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_MacOSXOnly
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_Py_v3
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_0 0
#define sipName_0 &sipStrings_QtRemoteObjects[0]
#define sipNameNr_47 47
#define sipName_47 &sipStrings_QtRemoteObjects[47]
#define sipNameNr_QRemoteObjectHostBase__AllowedSchemas 94
#define sipName_QRemoteObjectHostBase__AllowedSchemas &sipStrings_QtRemoteObjects[94]
#define sipNameNr_QRemoteObjectAbstractPersistedStore 132
#define sipName_QRemoteObjectAbstractPersistedStore &sipStrings_QtRemoteObjects[132]
#define sipNameNr_QRemoteObjectSourceLocationInfo 168
#define sipName_QRemoteObjectSourceLocationInfo &sipStrings_QtRemoteObjects[168]
#define sipNameNr_QtRemoteObjects__InitialAction 200
#define sipName_QtRemoteObjects__InitialAction &sipStrings_QtRemoteObjects[200]
#define sipNameNr_OperationNotValidOnClientNode 231
#define sipName_OperationNotValidOnClientNode &sipStrings_QtRemoteObjects[231]
#define sipNameNr_QRemoteObjectNode__ErrorCode 261
#define sipName_QRemoteObjectNode__ErrorCode &sipStrings_QtRemoteObjects[261]
#define sipNameNr_QRemoteObjectDynamicReplica 290
#define sipName_QRemoteObjectDynamicReplica &sipStrings_QtRemoteObjects[290]
#define sipNameNr_QRemoteObjectReplica__State 318
#define sipName_QRemoteObjectReplica__State &sipStrings_QtRemoteObjects[318]
#define sipNameNr_AllowExternalRegistration 346
#define sipName_AllowExternalRegistration &sipStrings_QtRemoteObjects[346]
#define sipNameNr_QAbstractItemModelReplica 372
#define sipName_QAbstractItemModelReplica &sipStrings_QtRemoteObjects[372]
#define sipNameNr_QRemoteObjectRegistryHost 398
#define sipName_QRemoteObjectRegistryHost &sipStrings_QtRemoteObjects[398]
#define sipNameNr_UnintendedRegistryHosting 424
#define sipName_UnintendedRegistryHosting &sipStrings_QtRemoteObjects[424]
#define sipNameNr_heartbeatIntervalChanged 450
#define sipName_heartbeatIntervalChanged &sipStrings_QtRemoteObjects[450]
#define sipNameNr_addClientSideConnection 475
#define sipName_addClientSideConnection &sipStrings_QtRemoteObjects[475]
#define sipNameNr_PyQt5_QtRemoteObjects 499
#define sipName_PyQt5_QtRemoteObjects &sipStrings_QtRemoteObjects[499]
#define sipNameNr_QRemoteObjectHostBase 521
#define sipName_QRemoteObjectHostBase &sipStrings_QtRemoteObjects[521]
#define sipNameNr_QRemoteObjectRegistry 543
#define sipName_QRemoteObjectRegistry &sipStrings_QtRemoteObjects[543]
#define sipNameNr_RegistryAlreadyHosted 565
#define sipName_RegistryAlreadyHosted &sipStrings_QtRemoteObjects[565]
#define sipNameNr_addHostSideConnection 587
#define sipName_addHostSideConnection &sipStrings_QtRemoteObjects[587]
#define sipNameNr_QRemoteObjectReplica 609
#define sipName_QRemoteObjectReplica &sipStrings_QtRemoteObjects[609]
#define sipNameNr_ServerAlreadyCreated 630
#define sipName_ServerAlreadyCreated &sipStrings_QtRemoteObjects[630]
#define sipNameNr_setHeartbeatInterval 651
#define sipName_setHeartbeatInterval &sipStrings_QtRemoteObjects[651]
#define sipNameNr_supportedDragActions 672
#define sipName_supportedDragActions &sipStrings_QtRemoteObjects[672]
#define sipNameNr_supportedDropActions 693
#define sipName_supportedDropActions &sipStrings_QtRemoteObjects[693]
#define sipNameNr_RegistryNotAcquired 714
#define sipName_RegistryNotAcquired &sipStrings_QtRemoteObjects[714]
#define sipNameNr_SourceNotRegistered 734
#define sipName_SourceNotRegistered &sipStrings_QtRemoteObjects[734]
#define sipNameNr_remoteObjectRemoved 754
#define sipName_remoteObjectRemoved &sipStrings_QtRemoteObjects[754]
#define sipNameNr_BuiltInSchemasOnly 774
#define sipName_BuiltInSchemasOnly &sipStrings_QtRemoteObjects[774]
#define sipNameNr_MissingObjectName 793
#define sipName_MissingObjectName &sipStrings_QtRemoteObjects[793]
#define sipNameNr_QRemoteObjectHost 811
#define sipName_QRemoteObjectHost &sipStrings_QtRemoteObjects[811]
#define sipNameNr_QRemoteObjectNode 829
#define sipName_QRemoteObjectNode &sipStrings_QtRemoteObjects[829]
#define sipNameNr_SignatureMismatch 847
#define sipName_SignatureMismatch &sipStrings_QtRemoteObjects[847]
#define sipNameNr_heartbeatInterval 865
#define sipName_heartbeatInterval &sipStrings_QtRemoteObjects[865]
#define sipNameNr_remoteObjectAdded 883
#define sipName_remoteObjectAdded &sipStrings_QtRemoteObjects[883]
#define sipNameNr_restoreProperties 901
#define sipName_restoreProperties &sipStrings_QtRemoteObjects[901]
#define sipNameNr_setPersistedStore 919
#define sipName_setPersistedStore &sipStrings_QtRemoteObjects[919]
#define sipNameNr_sip_simplewrapper 937
#define sipName_sip_simplewrapper &sipStrings_QtRemoteObjects[937]
#define sipNameNr_ProtocolMismatch 955
#define sipName_ProtocolMismatch &sipStrings_QtRemoteObjects[955]
#define sipNameNr_disconnectNotify 972
#define sipName_disconnectNotify &sipStrings_QtRemoteObjects[972]
#define sipNameNr_setRootCacheSize 989
#define sipName_setRootCacheSize &sipStrings_QtRemoteObjects[989]
#define sipNameNr_QtRemoteObjects 505
#define sipName_QtRemoteObjects &sipStrings_QtRemoteObjects[505]
#define sipNameNr_canDropMimeData 1006
#define sipName_canDropMimeData &sipStrings_QtRemoteObjects[1006]
#define sipNameNr_disableRemoting 1022
#define sipName_disableRemoting &sipStrings_QtRemoteObjects[1022]
#define sipNameNr_registryAddress 1038
#define sipName_registryAddress &sipStrings_QtRemoteObjects[1038]
#define sipNameNr_sourceLocations 1054
#define sipName_sourceLocations &sipStrings_QtRemoteObjects[1054]
#define sipNameNr_waitForRegistry 1070
#define sipName_waitForRegistry &sipStrings_QtRemoteObjects[1070]
#define sipNameNr_AllowedSchemas 117
#define sipName_AllowedSchemas &sipStrings_QtRemoteObjects[117]
#define sipNameNr_HostUrlInvalid 1086
#define sipName_HostUrlInvalid &sipStrings_QtRemoteObjects[1086]
#define sipNameNr_NodeIsNoServer 1101
#define sipName_NodeIsNoServer &sipStrings_QtRemoteObjects[1101]
#define sipNameNr_acquireDynamic 1116
#define sipName_acquireDynamic &sipStrings_QtRemoteObjects[1116]
#define sipNameNr_allowedSchemas 1131
#define sipName_allowedSchemas &sipStrings_QtRemoteObjects[1131]
#define sipNameNr_availableRoles 1146
#define sipName_availableRoles &sipStrings_QtRemoteObjects[1146]
#define sipNameNr_enableRemoting 1161
#define sipName_enableRemoting &sipStrings_QtRemoteObjects[1161]
#define sipNameNr_hostUrlChanged 1176
#define sipName_hostUrlChanged &sipStrings_QtRemoteObjects[1176]
#define sipNameNr_isReplicaValid 1191
#define sipName_isReplicaValid &sipStrings_QtRemoteObjects[1191]
#define sipNameNr_persistedStore 1206
#define sipName_persistedStore &sipStrings_QtRemoteObjects[1206]
#define sipNameNr_saveProperties 1221
#define sipName_saveProperties &sipStrings_QtRemoteObjects[1221]
#define sipNameNr_selectionModel 1236
#define sipName_selectionModel &sipStrings_QtRemoteObjects[1236]
#define sipNameNr_setRegistryUrl 1251
#define sipName_setRegistryUrl &sipStrings_QtRemoteObjects[1251]
#define sipNameNr_FetchRootSize 1266
#define sipName_FetchRootSize &sipStrings_QtRemoteObjects[1266]
#define sipNameNr_InitialAction 217
#define sipName_InitialAction &sipStrings_QtRemoteObjects[217]
#define sipNameNr_Uninitialized 1280
#define sipName_Uninitialized &sipStrings_QtRemoteObjects[1280]
#define sipNameNr_connectNotify 975
#define sipName_connectNotify &sipStrings_QtRemoteObjects[975]
#define sipNameNr_connectToNode 1294
#define sipName_connectToNode &sipStrings_QtRemoteObjects[1294]
#define sipNameNr_insertColumns 1308
#define sipName_insertColumns &sipStrings_QtRemoteObjects[1308]
#define sipNameNr_isInitialized 1322
#define sipName_isInitialized &sipStrings_QtRemoteObjects[1322]
#define sipNameNr_removeColumns 1336
#define sipName_removeColumns &sipStrings_QtRemoteObjects[1336]
#define sipNameNr_rootCacheSize 1350
#define sipName_rootCacheSize &sipStrings_QtRemoteObjects[1350]
#define sipNameNr_setHeaderData 1364
#define sipName_setHeaderData &sipStrings_QtRemoteObjects[1364]
#define sipNameNr_waitForSource 1378
#define sipName_waitForSource &sipStrings_QtRemoteObjects[1378]
#define sipNameNr_ListenFailed 1392
#define sipName_ListenFailed &sipStrings_QtRemoteObjects[1392]
#define sipNameNr_PrefetchData 1405
#define sipName_PrefetchData &sipStrings_QtRemoteObjects[1405]
#define sipNameNr_acquireModel 1418
#define sipName_acquireModel &sipStrings_QtRemoteObjects[1418]
#define sipNameNr_canFetchMore 1431
#define sipName_canFetchMore &sipStrings_QtRemoteObjects[1431]
#define sipNameNr_dropMimeData 1444
#define sipName_dropMimeData &sipStrings_QtRemoteObjects[1444]
#define sipNameNr_reverseProxy 1457
#define sipName_reverseProxy &sipStrings_QtRemoteObjects[1457]
#define sipNameNr_stateChanged 1470
#define sipName_stateChanged &sipStrings_QtRemoteObjects[1470]
#define sipNameNr_columnCount 1483
#define sipName_columnCount &sipStrings_QtRemoteObjects[1483]
#define sipNameNr_customEvent 1495
#define sipName_customEvent &sipStrings_QtRemoteObjects[1495]
#define sipNameNr_eventFilter 1507
#define sipName_eventFilter &sipStrings_QtRemoteObjects[1507]
#define sipNameNr_hasChildren 1519
#define sipName_hasChildren &sipStrings_QtRemoteObjects[1519]
#define sipNameNr_initialized 1282
#define sipName_initialized &sipStrings_QtRemoteObjects[1282]
#define sipNameNr_moveColumns 1338
#define sipName_moveColumns &sipStrings_QtRemoteObjects[1338]
#define sipNameNr_registryUrl 1531
#define sipName_registryUrl &sipStrings_QtRemoteObjects[1531]
#define sipNameNr_setItemData 1543
#define sipName_setItemData &sipStrings_QtRemoteObjects[1543]
#define sipNameNr___lshift__ 1555
#define sipName___lshift__ &sipStrings_QtRemoteObjects[1555]
#define sipNameNr___rshift__ 1566
#define sipName___rshift__ &sipStrings_QtRemoteObjects[1566]
#define sipNameNr_childEvent 1577
#define sipName_childEvent &sipStrings_QtRemoteObjects[1577]
#define sipNameNr_headerData 1588
#define sipName_headerData &sipStrings_QtRemoteObjects[1588]
#define sipNameNr_insertRows 1599
#define sipName_insertRows &sipStrings_QtRemoteObjects[1599]
#define sipNameNr_removeRows 1610
#define sipName_removeRows &sipStrings_QtRemoteObjects[1610]
#define sipNameNr_setHostUrl 1621
#define sipName_setHostUrl &sipStrings_QtRemoteObjects[1621]
#define sipNameNr_timerEvent 1632
#define sipName_timerEvent &sipStrings_QtRemoteObjects[1632]
#define sipNameNr_ErrorCode 280
#define sipName_ErrorCode &sipStrings_QtRemoteObjects[280]
#define sipNameNr_fetchMore 1643
#define sipName_fetchMore &sipStrings_QtRemoteObjects[1643]
#define sipNameNr_instances 1653
#define sipName_instances &sipStrings_QtRemoteObjects[1653]
#define sipNameNr_lastError 1663
#define sipName_lastError &sipStrings_QtRemoteObjects[1663]
#define sipNameNr_mimeTypes 1673
#define sipName_mimeTypes &sipStrings_QtRemoteObjects[1673]
#define sipNameNr_roleNames 1683
#define sipName_roleNames &sipStrings_QtRemoteObjects[1683]
#define sipNameNr_rolesHint 1693
#define sipName_rolesHint &sipStrings_QtRemoteObjects[1693]
#define sipNameNr_itemData 1703
#define sipName_itemData &sipStrings_QtRemoteObjects[1703]
#define sipNameNr_mimeData 1712
#define sipName_mimeData &sipStrings_QtRemoteObjects[1712]
#define sipNameNr_moveRows 1612
#define sipName_moveRows &sipStrings_QtRemoteObjects[1612]
#define sipNameNr_notified 1721
#define sipName_notified &sipStrings_QtRemoteObjects[1721]
#define sipNameNr_registry 1730
#define sipName_registry &sipStrings_QtRemoteObjects[1730]
#define sipNameNr_rowCount 1739
#define sipName_rowCount &sipStrings_QtRemoteObjects[1739]
#define sipNameNr_typeName 1748
#define sipName_typeName &sipStrings_QtRemoteObjects[1748]
#define sipNameNr_Default 1757
#define sipName_Default &sipStrings_QtRemoteObjects[1757]
#define sipNameNr_NoError 1765
#define sipName_NoError &sipStrings_QtRemoteObjects[1765]
#define sipNameNr_Suspect 1773
#define sipName_Suspect &sipStrings_QtRemoteObjects[1773]
#define sipNameNr_hasData 1781
#define sipName_hasData &sipStrings_QtRemoteObjects[1781]
#define sipNameNr_hostUrl 1789
#define sipName_hostUrl &sipStrings_QtRemoteObjects[1789]
#define sipNameNr_setData 1797
#define sipName_setData &sipStrings_QtRemoteObjects[1797]
#define sipNameNr_setName 1805
#define sipName_setName &sipStrings_QtRemoteObjects[1805]
#define sipNameNr_setNode 1813
#define sipName_setNode &sipStrings_QtRemoteObjects[1813]
#define sipNameNr_sibling 1821
#define sipName_sibling &sipStrings_QtRemoteObjects[1821]
#define sipNameNr_timeout 1829
#define sipName_timeout &sipStrings_QtRemoteObjects[1829]
#define sipNameNr___eq__ 1837
#define sipName___eq__ &sipStrings_QtRemoteObjects[1837]
#define sipNameNr___ne__ 1844
#define sipName___ne__ &sipStrings_QtRemoteObjects[1844]
#define sipNameNr_action 1851
#define sipName_action &sipStrings_QtRemoteObjects[1851]
#define sipNameNr_parent 1858
#define sipName_parent &sipStrings_QtRemoteObjects[1858]
#define sipNameNr_revert 1865
#define sipName_revert &sipStrings_QtRemoteObjects[1865]
#define sipNameNr_submit 1872
#define sipName_submit &sipStrings_QtRemoteObjects[1872]
#define sipNameNr_State 340
#define sipName_State &sipStrings_QtRemoteObjects[340]
#define sipNameNr_Valid 1200
#define sipName_Valid &sipStrings_QtRemoteObjects[1200]
#define sipNameNr_buddy 1879
#define sipName_buddy &sipStrings_QtRemoteObjects[1879]
#define sipNameNr_error 1885
#define sipName_error &sipStrings_QtRemoteObjects[1885]
#define sipNameNr_event 1891
#define sipName_event &sipStrings_QtRemoteObjects[1891]
#define sipNameNr_flags 1897
#define sipName_flags &sipStrings_QtRemoteObjects[1897]
#define sipNameNr_index 1903
#define sipName_index &sipStrings_QtRemoteObjects[1903]
#define sipNameNr_match 859
#define sipName_match &sipStrings_QtRemoteObjects[859]
#define sipNameNr_proxy 1909
#define sipName_proxy &sipStrings_QtRemoteObjects[1909]
#define sipNameNr_state 1915
#define sipName_state &sipStrings_QtRemoteObjects[1915]
#define sipNameNr_data 1921
#define sipName_data &sipStrings_QtRemoteObjects[1921]
#define sipNameNr_name 1926
#define sipName_name &sipStrings_QtRemoteObjects[1926]
#define sipNameNr_node 1931
#define sipName_node &sipStrings_QtRemoteObjects[1931]
#define sipNameNr_role 1936
#define sipName_role &sipStrings_QtRemoteObjects[1936]
#define sipNameNr_sort 1941
#define sipName_sort &sipStrings_QtRemoteObjects[1941]
#define sipNameNr_span 1946
#define sipName_span &sipStrings_QtRemoteObjects[1946]

#define sipMalloc                   sipAPI_QtRemoteObjects->api_malloc
#define sipFree                     sipAPI_QtRemoteObjects->api_free
#define sipBuildResult              sipAPI_QtRemoteObjects->api_build_result
#define sipCallMethod               sipAPI_QtRemoteObjects->api_call_method
#define sipCallProcedureMethod      sipAPI_QtRemoteObjects->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtRemoteObjects->api_call_error_handler
#define sipParseResultEx            sipAPI_QtRemoteObjects->api_parse_result_ex
#define sipParseResult              sipAPI_QtRemoteObjects->api_parse_result
#define sipParseArgs                sipAPI_QtRemoteObjects->api_parse_args
#define sipParseKwdArgs             sipAPI_QtRemoteObjects->api_parse_kwd_args
#define sipParsePair                sipAPI_QtRemoteObjects->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtRemoteObjects->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtRemoteObjects->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtRemoteObjects->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtRemoteObjects->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtRemoteObjects->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtRemoteObjects->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtRemoteObjects->api_add_exception
#define sipNoFunction               sipAPI_QtRemoteObjects->api_no_function
#define sipNoMethod                 sipAPI_QtRemoteObjects->api_no_method
#define sipAbstractMethod           sipAPI_QtRemoteObjects->api_abstract_method
#define sipBadClass                 sipAPI_QtRemoteObjects->api_bad_class
#define sipBadCatcherResult         sipAPI_QtRemoteObjects->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtRemoteObjects->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtRemoteObjects->api_bad_operator_arg
#define sipTrace                    sipAPI_QtRemoteObjects->api_trace
#define sipTransferBack             sipAPI_QtRemoteObjects->api_transfer_back
#define sipTransferTo               sipAPI_QtRemoteObjects->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtRemoteObjects->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtRemoteObjects->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtRemoteObjects->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtRemoteObjects->api_voidptr_type
#define sipGetPyObject              sipAPI_QtRemoteObjects->api_get_pyobject
#define sipGetAddress               sipAPI_QtRemoteObjects->api_get_address
#define sipGetMixinAddress          sipAPI_QtRemoteObjects->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtRemoteObjects->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtRemoteObjects->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtRemoteObjects->api_call_hook
#define sipEndThread                sipAPI_QtRemoteObjects->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtRemoteObjects->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtRemoteObjects->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtRemoteObjects->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtRemoteObjects->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtRemoteObjects->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtRemoteObjects->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtRemoteObjects->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtRemoteObjects->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtRemoteObjects->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtRemoteObjects->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtRemoteObjects->api_convert_to_bool
#define sipReleaseType              sipAPI_QtRemoteObjects->api_release_type
#define sipConvertFromType          sipAPI_QtRemoteObjects->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtRemoteObjects->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtRemoteObjects->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtRemoteObjects->api_convert_from_enum
#define sipGetState                 sipAPI_QtRemoteObjects->api_get_state
#define sipExportSymbol             sipAPI_QtRemoteObjects->api_export_symbol
#define sipImportSymbol             sipAPI_QtRemoteObjects->api_import_symbol
#define sipFindType                 sipAPI_QtRemoteObjects->api_find_type
#define sipBytes_AsChar             sipAPI_QtRemoteObjects->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtRemoteObjects->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtRemoteObjects->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtRemoteObjects->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtRemoteObjects->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtRemoteObjects->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtRemoteObjects->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtRemoteObjects->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtRemoteObjects->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtRemoteObjects->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtRemoteObjects->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtRemoteObjects->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtRemoteObjects->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_QtRemoteObjects->api_get_reference
#define sipKeepReference            sipAPI_QtRemoteObjects->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtRemoteObjects->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtRemoteObjects->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtRemoteObjects->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtRemoteObjects->api_type_scope
#define sipResolveTypedef           sipAPI_QtRemoteObjects->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtRemoteObjects->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtRemoteObjects->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtRemoteObjects->api_init_mixin
#define sipExportModule             sipAPI_QtRemoteObjects->api_export_module
#define sipInitModule               sipAPI_QtRemoteObjects->api_init_module
#define sipGetInterpreter           sipAPI_QtRemoteObjects->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtRemoteObjects->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtRemoteObjects->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtRemoteObjects->api_py_type_dict
#define sipPyTypeName               sipAPI_QtRemoteObjects->api_py_type_name
#define sipGetCFunction             sipAPI_QtRemoteObjects->api_get_c_function
#define sipGetMethod                sipAPI_QtRemoteObjects->api_get_method
#define sipFromMethod               sipAPI_QtRemoteObjects->api_from_method
#define sipGetDate                  sipAPI_QtRemoteObjects->api_get_date
#define sipFromDate                 sipAPI_QtRemoteObjects->api_from_date
#define sipGetDateTime              sipAPI_QtRemoteObjects->api_get_datetime
#define sipFromDateTime             sipAPI_QtRemoteObjects->api_from_datetime
#define sipGetTime                  sipAPI_QtRemoteObjects->api_get_time
#define sipFromTime                 sipAPI_QtRemoteObjects->api_from_time
#define sipIsUserType               sipAPI_QtRemoteObjects->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtRemoteObjects->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtRemoteObjects->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtRemoteObjects->api_unicode_write
#define sipUnicodeData              sipAPI_QtRemoteObjects->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtRemoteObjects->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtRemoteObjects->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtRemoteObjects->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtRemoteObjects->api_is_derived_class
#define sipGetUserObject            sipAPI_QtRemoteObjects->api_get_user_object
#define sipSetUserObject            sipAPI_QtRemoteObjects->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtRemoteObjects->api_register_event_handler
#define sipConvertToArray           sipAPI_QtRemoteObjects->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtRemoteObjects->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtRemoteObjects->api_enable_gc
#define sipPrintObject              sipAPI_QtRemoteObjects->api_print_object
#define sipLong_AsChar              sipAPI_QtRemoteObjects->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtRemoteObjects->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtRemoteObjects->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtRemoteObjects->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtRemoteObjects->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtRemoteObjects->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtRemoteObjects->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtRemoteObjects->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtRemoteObjects->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtRemoteObjects->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtRemoteObjects->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtRemoteObjects->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtRemoteObjects->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtRemoteObjects->api_register_exit_notifier
#define sipDeprecated               sipAPI_QtRemoteObjects->api_deprecated
#define sipPyTypeDictRef            sipAPI_QtRemoteObjects->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtRemoteObjects->api_next_exception_handler
#define sipSetNewUserTypeHandler    sipAPI_QtRemoteObjects->api_set_new_user_type_handler
#define sipGetFrame                 sipAPI_QtRemoteObjects->api_get_frame
#define sipSetDestroyOnExit         sipAPI_QtRemoteObjects->api_set_destroy_on_exit
#define sipEnableOverflowChecking   sipAPI_QtRemoteObjects->api_enable_overflow_checking
#define sipIsAPIEnabled             sipAPI_QtRemoteObjects->api_is_api_enabled
#define sipClearAnySlotReference    sipAPI_QtRemoteObjects->api_clear_any_slot_reference
#define sipConnectRx                sipAPI_QtRemoteObjects->api_connect_rx
#define sipConvertRx                sipAPI_QtRemoteObjects->api_convert_rx
#define sipDisconnectRx             sipAPI_QtRemoteObjects->api_disconnect_rx
#define sipFreeSipslot              sipAPI_QtRemoteObjects->api_free_sipslot
#define sipInvokeSlot               sipAPI_QtRemoteObjects->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtRemoteObjects->api_invoke_slot_ex
#define sipSameSlot                 sipAPI_QtRemoteObjects->api_same_slot
#define sipSaveSlot                 sipAPI_QtRemoteObjects->api_save_slot
#define sipVisitSlot                sipAPI_QtRemoteObjects->api_visit_slot
#define sipIsPyMethod               sipAPI_QtRemoteObjects->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtRemoteObjects[];

#define sipType_QAbstractItemModelReplica sipExportedTypes_QtRemoteObjects[0]

extern sipClassTypeDef sipTypeDef_QtRemoteObjects_QAbstractItemModelReplica;

#define sipType_QRemoteObjectReplica sipExportedTypes_QtRemoteObjects[12]

#define sipType_QRemoteObjectReplica_State sipExportedTypes_QtRemoteObjects[13]

extern sipClassTypeDef sipTypeDef_QtRemoteObjects_QRemoteObjectReplica;

#define sipType_QRemoteObjectDynamicReplica sipExportedTypes_QtRemoteObjects[4]

extern sipClassTypeDef sipTypeDef_QtRemoteObjects_QRemoteObjectDynamicReplica;

#define sipType_QRemoteObjectAbstractPersistedStore sipExportedTypes_QtRemoteObjects[3]

extern sipClassTypeDef sipTypeDef_QtRemoteObjects_QRemoteObjectAbstractPersistedStore;

#define sipType_QRemoteObjectNode sipExportedTypes_QtRemoteObjects[8]

#define sipType_QRemoteObjectNode_ErrorCode sipExportedTypes_QtRemoteObjects[9]

extern sipClassTypeDef sipTypeDef_QtRemoteObjects_QRemoteObjectNode;

#define sipType_QRemoteObjectHostBase sipExportedTypes_QtRemoteObjects[6]

#define sipType_QRemoteObjectHostBase_AllowedSchemas sipExportedTypes_QtRemoteObjects[7]

extern sipClassTypeDef sipTypeDef_QtRemoteObjects_QRemoteObjectHostBase;

#define sipType_QRemoteObjectHost sipExportedTypes_QtRemoteObjects[5]

extern sipClassTypeDef sipTypeDef_QtRemoteObjects_QRemoteObjectHost;

#define sipType_QRemoteObjectRegistryHost sipExportedTypes_QtRemoteObjects[11]

extern sipClassTypeDef sipTypeDef_QtRemoteObjects_QRemoteObjectRegistryHost;

#define sipType_QRemoteObjectRegistry sipExportedTypes_QtRemoteObjects[10]

extern sipClassTypeDef sipTypeDef_QtRemoteObjects_QRemoteObjectRegistry;

#define sipType_QRemoteObjectSourceLocationInfo sipExportedTypes_QtRemoteObjects[14]

extern sipClassTypeDef sipTypeDef_QtRemoteObjects_QRemoteObjectSourceLocationInfo;

#define sipType_QtRemoteObjects sipExportedTypes_QtRemoteObjects[15]

#define sipType_QtRemoteObjects_InitialAction sipExportedTypes_QtRemoteObjects[16]

extern sipClassTypeDef sipTypeDef_QtRemoteObjects_QtRemoteObjects;

#define sipType_QHash_0100QString_0100QRemoteObjectSourceLocationInfo sipExportedTypes_QtRemoteObjects[1]

extern sipMappedTypeDef sipTypeDef_QtRemoteObjects_QHash_0100QString_0100QRemoteObjectSourceLocationInfo;

#define sipType_QPair_0100QString_0100QRemoteObjectSourceLocationInfo sipExportedTypes_QtRemoteObjects[2]

extern sipMappedTypeDef sipTypeDef_QtRemoteObjects_QPair_0100QString_0100QRemoteObjectSourceLocationInfo;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtRemoteObjects;
extern sipExportedModuleDef sipModuleAPI_QtRemoteObjects;
extern sipTypeDef *sipExportedTypes_QtRemoteObjects[];

#define sipType_Qt_DropAction sipImportedTypes_QtRemoteObjects_QtCore[22].it_td

#define sipType_Qt_SortOrder sipImportedTypes_QtRemoteObjects_QtCore[27].it_td

#define sipType_Qt_Orientation sipImportedTypes_QtRemoteObjects_QtCore[26].it_td

#define sipType_Qt_DropActions sipImportedTypes_QtRemoteObjects_QtCore[23].it_td

#define sipType_Qt_ItemFlags sipImportedTypes_QtRemoteObjects_QtCore[24].it_td

#define sipType_Qt_MatchFlags sipImportedTypes_QtRemoteObjects_QtCore[25].it_td

#define sipType_QObject sipImportedTypes_QtRemoteObjects_QtCore[14].it_td

#define sipType_QModelIndex sipImportedTypes_QtRemoteObjects_QtCore[13].it_td

#define sipType_QAbstractItemModel sipImportedTypes_QtRemoteObjects_QtCore[0].it_td

#define sipType_QIODevice sipImportedTypes_QtRemoteObjects_QtCore[6].it_td

#define sipType_QByteArray sipImportedTypes_QtRemoteObjects_QtCore[1].it_td

#define sipType_QEvent sipImportedTypes_QtRemoteObjects_QtCore[4].it_td

#define sipType_QTimerEvent sipImportedTypes_QtRemoteObjects_QtCore[18].it_td

#define sipType_QChildEvent sipImportedTypes_QtRemoteObjects_QtCore[2].it_td

#define sipType_QDataStream sipImportedTypes_QtRemoteObjects_QtCore[3].it_td

#define sipType_QItemSelectionModel sipImportedTypes_QtRemoteObjects_QtCore[7].it_td

#define sipType_QMetaMethod sipImportedTypes_QtRemoteObjects_QtCore[11].it_td

#define sipType_QMimeData sipImportedTypes_QtRemoteObjects_QtCore[12].it_td

#define sipType_QSize sipImportedTypes_QtRemoteObjects_QtCore[15].it_td

#define sipType_QUrl sipImportedTypes_QtRemoteObjects_QtCore[19].it_td

#define sipType_QVariant sipImportedTypes_QtRemoteObjects_QtCore[20].it_td

#define sipType_QHash_1800_0100QByteArray sipImportedTypes_QtRemoteObjects_QtCore[5].it_td

#define sipType_QMap_1800_0100QVariant sipImportedTypes_QtRemoteObjects_QtCore[10].it_td

#define sipType_QList_0100QVariant sipImportedTypes_QtRemoteObjects_QtCore[9].it_td

#define sipType_QList_0100QModelIndex sipImportedTypes_QtRemoteObjects_QtCore[8].it_td

#define sipType_QVector_1800 sipImportedTypes_QtRemoteObjects_QtCore[21].it_td

#define sipType_QStringList sipImportedTypes_QtRemoteObjects_QtCore[17].it_td

#define sipType_QString sipImportedTypes_QtRemoteObjects_QtCore[16].it_td
extern sipImportedTypeDef sipImportedTypes_QtRemoteObjects_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtRemoteObjects_QtCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtRemoteObjects_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtRemoteObjects_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtRemoteObjects_qt_metacast;

#endif
